Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class DirectoryGroupAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.DirectoryGroupAdmin

    public class DirectoryGroupAdmin

extends java.lang.Object

The `DirectoryGroupAdmin.java` class - collection of DirectoryGroup admin tasks test.

Field Summary
`protected java.util.Hashtable` | `m_groupTable`
`protected AdminManager` | `m_Main`

Constructor Summary
`DirectoryGroupAdmin(AdminManager main)` The only constructor that is being used.

Method Summary
`protected void` | `addGroup(LibrarySession sess, ParameterTable params)` Section variant of addGroup
`protected void` | `addGroup(LibrarySession sess, java.lang.String groupname, java.lang.String memberGroupName)` Inline/internal variant of addGroup
`protected void` | `addUser(LibrarySession sess, ParameterTable params)` Section variant of addUser
`protected void` | `addUser(LibrarySession sess, java.lang.String groupname, java.lang.String memberUserName)` Inline/internal variant of addUser
`protected void` | `createGroup(LibrarySession sess, ParameterTable params)` Section variant of Create Group
`protected void` | `createGroup(LibrarySession sess, java.lang.String idname, DirectoryGroupDefinition def)` internal variant of Create Group
`protected void` | `createGroup(LibrarySession sess, java.lang.String idname, java.lang.String nameToken)` inline variant of Create Group
`void` | `deleteDirectoryGroup(LibrarySession sess, ParameterTable params)` Section variant of delete DirectoryGroup
`void` | `deleteDirectoryGroup(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Delete DirectoryGroup
`void` | `deleteDirectoryGroup(LibrarySession sess, java.lang.String idname, LibraryObjectDefinition def)` Inline/internal variant of Delete DirectoryGroup
`protected void` | `freeGroup(LibrarySession sess, ParameterTable params)` Section variant of Free Group
`protected void` | `freeGroup(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Free Group
`protected void` | `identifyGroup(LibrarySession sess, ParameterTable params)` Section variant of Identify Group
`protected void` | `identifyGroup(LibrarySession sess, java.lang.String idname, java.lang.Long id, java.lang.String name, boolean isWorld, boolean isAdminGroup, java.lang.String valueDefaultName, java.lang.String path)` Inline/internal variant of Identify Group
`protected DirectoryGroup` | `lookupGroup(LibrarySession sess, java.lang.String idname)`
`protected void` | `modifyGroup(LibrarySession sess, ParameterTable params)` Section variant of Modify Group
`protected void` | `modifyGroup(LibrarySession sess, java.lang.String idname, DirectoryGroupDefinition def)` internal variant of Modify Group
`protected void` | `removeGroup(LibrarySession sess, ParameterTable params)` Section variant of removeGroup
`protected void` | `removeGroup(LibrarySession sess, java.lang.String groupname, java.lang.String memberGroupName)` Inline/internal variant of removeGroup
`protected void` | `removeUser(LibrarySession sess, ParameterTable params)` Section variant of removeUser
`protected void` | `removeUser(LibrarySession sess, java.lang.String groupname, java.lang.String memberUserName)` Inline/internal variant of removeUser
`void` | `showAllMembers(DirectoryObject dirobj)`
`void` | `showDirectMembers(DirectoryObject dirobj)`
`void` | `showGroup(LibrarySession sess, DirectoryGroup group)`
`protected void` | `showGroup(LibrarySession sess, ParameterTable params)` Section variant of showGroup
`protected void` | `showGroup(LibrarySession sess, java.lang.String groupname)` Inline/internal variant of showGroup
`void` | `showMember(DirectoryObject dirobj, java.util.Hashtable h)`
`void` | `showMembers(DirectoryObject[] members, java.util.Hashtable h)`
`void` | `showUserGroups(LibrarySession sess, DirectoryUser user)`
`protected void` | `showUserGroups(LibrarySession sess, ParameterTable params)` Section variant of showUserGroups
`protected void` | `showUserGroups(LibrarySession sess, java.lang.String username)` Inline/internal variant of showUserGroups
`void` | `undeleteDirectoryGroup(LibrarySession sess, ParameterTable params)` Section variant of undelete DirectoryGroup
`void` | `undeleteDirectoryGroup(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Undelete DirectoryGroup
`void` | `undeleteDirectoryGroup(LibrarySession sess, java.lang.String idname, LibraryObjectDefinition def)` Inline/internal variant of Undelete DirectoryGroup
`void` | `unidentifyGroup(LibrarySession sess, ParameterTable params)` Section variant of Unidentify Group

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Main

    protected AdminManager m_Main

### m_groupTable

    protected java.util.Hashtable m_groupTable

Constructor Detail

### DirectoryGroupAdmin

    public DirectoryGroupAdmin(AdminManager main)

  The only constructor that is being used.

  Parameters:
    `main` - Reference to AdminManager which invokes this.

Method Detail

### createGroup

    protected void createGroup(LibrarySession sess,
                               ParameterTable params)
                        throws IfsException

  Description copied from class: `DirectoryGroupAdmin`
  Section variant of Create Group

  Throws:
    `IfsException`

### createGroup

    protected void createGroup(LibrarySession sess,
                               java.lang.String idname,
                               java.lang.String nameToken)
                        throws IfsException

  Description copied from class: `DirectoryGroupAdmin`
  inline variant of Create Group

  Throws:
    `IfsException`

### createGroup

    protected void createGroup(LibrarySession sess,
                               java.lang.String idname,
                               DirectoryGroupDefinition def)
                        throws IfsException

  Description copied from class: `DirectoryGroupAdmin`
  internal variant of Create Group

  Throws:
    `IfsException`

### modifyGroup

    protected void modifyGroup(LibrarySession sess,
                               ParameterTable params)
                        throws IfsException

  Description copied from class: `DirectoryGroupAdmin`
  Section variant of Modify Group

  Throws:
    `IfsException`

### modifyGroup

    protected void modifyGroup(LibrarySession sess,
                               java.lang.String idname,
                               DirectoryGroupDefinition def)
                        throws IfsException

  Description copied from class: `DirectoryGroupAdmin`
  internal variant of Modify Group

  Throws:
    `IfsException`

### freeGroup

    protected void freeGroup(LibrarySession sess,
                             ParameterTable params)
                      throws IfsException

  Description copied from class: `DirectoryGroupAdmin`
  Section variant of Free Group

  Throws:
    `IfsException`

### freeGroup

    protected void freeGroup(LibrarySession sess,
                             java.lang.String idname)
                      throws IfsException

  Description copied from class: `DirectoryGroupAdmin`
  Inline/internal variant of Free Group

  Throws:
    `IfsException`

### identifyGroup

    protected void identifyGroup(LibrarySession sess,
                                 ParameterTable params)
                          throws IfsException

  Description copied from class: `DirectoryGroupAdmin`
  Section variant of Identify Group

  Throws:
    `IfsException`

### identifyGroup

    protected void identifyGroup(LibrarySession sess,
                                 java.lang.String idname,
                                 java.lang.Long id,
                                 java.lang.String name,
                                 boolean isWorld,
                                 boolean isAdminGroup,
                                 java.lang.String valueDefaultName,
                                 java.lang.String path)
                          throws IfsException

  Description copied from class: `DirectoryGroupAdmin`
  Inline/internal variant of Identify Group

  Throws:
    `IfsException`

### unidentifyGroup

    public void unidentifyGroup(LibrarySession sess,
                                ParameterTable params)
                         throws IfsException

  Description copied from class: `DirectoryGroupAdmin`
  Section variant of Unidentify Group

  Throws:
    `IfsException`

### addUser

    protected void addUser(LibrarySession sess,
                           ParameterTable params)
                    throws IfsException

  Description copied from class: `DirectoryGroupAdmin`
  Section variant of addUser

  Throws:
    `IfsException`

### addUser

    protected void addUser(LibrarySession sess,
                           java.lang.String groupname,
                           java.lang.String memberUserName)
                    throws IfsException

  Description copied from class: `DirectoryGroupAdmin`
  Inline/internal variant of addUser

  Throws:
    `IfsException`

### addGroup

    protected void addGroup(LibrarySession sess,
                            ParameterTable params)
                     throws IfsException

  Description copied from class: `DirectoryGroupAdmin`
  Section variant of addGroup

  Throws:
    `IfsException`

### addGroup

    protected void addGroup(LibrarySession sess,
                            java.lang.String groupname,
                            java.lang.String memberGroupName)
                     throws IfsException

  Description copied from class: `DirectoryGroupAdmin`
  Inline/internal variant of addGroup

  Throws:
    `IfsException`

### removeUser

    protected void removeUser(LibrarySession sess,
                              ParameterTable params)
                       throws IfsException

  Description copied from class: `DirectoryGroupAdmin`
  Section variant of removeUser

  Throws:
    `IfsException`

### removeUser

    protected void removeUser(LibrarySession sess,
                              java.lang.String groupname,
                              java.lang.String memberUserName)
                       throws IfsException

  Description copied from class: `DirectoryGroupAdmin`
  Inline/internal variant of removeUser

  Throws:
    `IfsException`

### removeGroup

    protected void removeGroup(LibrarySession sess,
                               ParameterTable params)
                        throws IfsException

  Description copied from class: `DirectoryGroupAdmin`
  Section variant of removeGroup

  Throws:
    `IfsException`

### removeGroup

    protected void removeGroup(LibrarySession sess,
                               java.lang.String groupname,
                               java.lang.String memberGroupName)
                        throws IfsException

  Description copied from class: `DirectoryGroupAdmin`
  Inline/internal variant of removeGroup

  Throws:
    `IfsException`

### showGroup

    protected void showGroup(LibrarySession sess,
                             ParameterTable params)
                      throws IfsException

  Description copied from class: `DirectoryGroupAdmin`
  Section variant of showGroup

  Throws:
    `IfsException`

### showGroup

    protected void showGroup(LibrarySession sess,
                             java.lang.String groupname)
                      throws IfsException

  Description copied from class: `DirectoryGroupAdmin`
  Inline/internal variant of showGroup

  Throws:
    `IfsException`

### showUserGroups

    protected void showUserGroups(LibrarySession sess,
                                  ParameterTable params)
                           throws IfsException

  Description copied from class: `DirectoryGroupAdmin`
  Section variant of showUserGroups

  Throws:
    `IfsException`

### showUserGroups

    protected void showUserGroups(LibrarySession sess,
                                  java.lang.String username)
                           throws IfsException

  Description copied from class: `DirectoryGroupAdmin`
  Inline/internal variant of showUserGroups

  Throws:
    `IfsException`

### deleteDirectoryGroup

    public void deleteDirectoryGroup(LibrarySession sess,
                                     ParameterTable params)
                              throws IfsException

  Description copied from class: `DirectoryGroupAdmin`
  Section variant of delete DirectoryGroup

  Throws:
    `IfsException`

### deleteDirectoryGroup

    public void deleteDirectoryGroup(LibrarySession sess,
                                     java.lang.String idname)
                              throws IfsException

  Description copied from class: `DirectoryGroupAdmin`
  Inline/internal variant of Delete DirectoryGroup

  Throws:
    `IfsException`

### deleteDirectoryGroup

    public void deleteDirectoryGroup(LibrarySession sess,
                                     java.lang.String idname,
                                     LibraryObjectDefinition def)
                              throws IfsException

  Description copied from class: `DirectoryGroupAdmin`
  Inline/internal variant of Delete DirectoryGroup

  Throws:
    `IfsException`

### undeleteDirectoryGroup

    public void undeleteDirectoryGroup(LibrarySession sess,
                                       ParameterTable params)
                                throws IfsException

  Description copied from class: `DirectoryGroupAdmin`
  Section variant of undelete DirectoryGroup

  Throws:
    `IfsException`

### undeleteDirectoryGroup

    public void undeleteDirectoryGroup(LibrarySession sess,
                                       java.lang.String idname)
                                throws IfsException

  Description copied from class: `DirectoryGroupAdmin`
  Inline/internal variant of Undelete DirectoryGroup

  Throws:
    `IfsException`

### undeleteDirectoryGroup

    public void undeleteDirectoryGroup(LibrarySession sess,
                                       java.lang.String idname,
                                       LibraryObjectDefinition def)
                                throws IfsException

  Description copied from class: `DirectoryGroupAdmin`
  Inline/internal variant of Undelete DirectoryGroup

  Throws:
    `IfsException`

### lookupGroup

    protected DirectoryGroup lookupGroup(LibrarySession sess,
                                         java.lang.String idname)
                                  throws IfsException

  Throws:
    `IfsException`

### showGroup

    public void showGroup(LibrarySession sess,
                          DirectoryGroup group)
                   throws IfsException

  Throws:
    `IfsException`

### showDirectMembers

    public void showDirectMembers(DirectoryObject dirobj)
                           throws IfsException

  Throws:
    `IfsException`

### showAllMembers

    public void showAllMembers(DirectoryObject dirobj)
                        throws IfsException

  Throws:
    `IfsException`

### showMember

    public void showMember(DirectoryObject dirobj,
                           java.util.Hashtable h)
                    throws IfsException

  Throws:
    `IfsException`

### showMembers

    public void showMembers(DirectoryObject[] members,
                            java.util.Hashtable h)
                     throws IfsException

  Throws:
    `IfsException`

### showUserGroups

    public void showUserGroups(LibrarySession sess,
                               DirectoryUser user)
                        throws IfsException

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD